clear all;
format long;

%%%%% INNDATA %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Laster fil med beregnede E-felt-data fra COMSOLs = load('efelt_10.5cm.txt');

% efelt = load('tangentiell_esEr_overside_60mm_15kV.txt');
% efelt = load('tangentiell_esEr_overside_80mm_15kV.txt');
% efelt = load('tangentiell_esEr_underside_60mm_15kV.txt');
% efelt = load('tangentiell_esEr_underside_80mm_15kV.txt');
% efelt = load('tangentiell_esnormE_overside_60mm_15kV.txt');
% efelt = load('tangentiell_esnormE_overside_80mm_15kV.txt');
% efelt = load('tangentiell_esnormE_underside_60mm_15kV.txt');
% efelt = load('tangentiell_esnormE_underside_80mm_15kV.txt');
% efelt = load('efelt_barriere_vert_80mm16x16cm80mm_15kV.txt');
% efelt = load('efelt_vert_80mm_15kV.txt');
% efelt = load('tangentiell_8x8_esEr_overside_80mm_15kV.txt');
% efelt = load('tangentiell_esnormE_underside_charge20mm_80mm_84kV.txt');
efelt = load('tangentiell_esnormE_overside_80mm_4x4cm_15kV.txt');

 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Konstruerer en ny vektor efelt2 for et tverrsnitt av platen
%ved  speile dataene i efelt-vektoren hvis dobbel = 1

dobbel = 0;
if dobbel == 1
    dim = size(efelt); %Gir en vektor med antall [rader kolonner]
    rader = dim(1,1);
    efelt2 = zeros(dim(1,1),2*dim(1,2));
    for i=1:rader
        %x-verdier (avstand fra senter):
        efelt2(i,1) = efelt(rader-i+1,1)*(-1);
        efelt2(i+rader,1) = efelt(i,1);
        %y-verdier (E-felt i kV/m):
        efelt2(i,2) = efelt(rader-i+1,2);
        efelt2(i+rader,2) = efelt(i,2);
    end
else
    efelt2 = efelt;
end

%efelt2 = skaler(efelt2,83632.88,15000);
%efelt2 = skaler(efelt2,84416.83,15000);
%efelt2 = skaler(efelt2,84000,15000);
U = inception(efelt2);


disp(['Tennspenningen er ' num2str(U/1000) ' kV.'])